package com.ruoyi.ems.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 建筑区域划分对象 adm_area_building_zoning
 *
 * @author ruoyi
 * @date 2024-07-09
 */
public class AreaBuildingZoning extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 建筑编码
     */
    @Excel(name = "建筑编码")
    private String bldgCode;

    @Excel(name = "建筑名称")
    private String bldgName;

    /**
     * 分区编码
     */
    @Excel(name = "分区编码")
    private String zoningCode;

    /**
     * 分区名称
     */
    @Excel(name = "分区名称")
    private String zoningName;

    /**
     * 楼层
     */
    @Excel(name = "楼层")
    private Long floor;

    /**
     * 建筑划分面积
     */
    @Excel(name = "建筑划分面积")
    private Long bldgLdArea;

    /**
     * 使用详情
     */
    @Excel(name = "使用详情")
    private String usageDetail;

    /** 区域编码 */
    private String areaCode;

    /**
     * 标签代码
     */
    private List<String> tagCodeList;

    /**
     * 标签名称
     */
    private String tagCodes;

    /**
     * 标签名称
     */
    private String tagNames;

    /**
     * 区域路径
     **/
    private String areaPath;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setBldgCode(String bldgCode) {
        this.bldgCode = bldgCode;
    }

    public String getBldgCode() {
        return bldgCode;
    }

    public String getBldgName() {
        return bldgName;
    }

    public void setBldgName(String bldgName) {
        this.bldgName = bldgName;
    }

    public String getZoningCode() {
        return zoningCode;
    }

    public void setZoningCode(String zoningCode) {
        this.zoningCode = zoningCode;
    }

    public String getZoningName() {
        return zoningName;
    }

    public void setZoningName(String zoningName) {
        this.zoningName = zoningName;
    }

    public void setFloor(Long floor) {
        this.floor = floor;
    }

    public Long getFloor() {
        return floor;
    }

    public void setBldgLdArea(Long bldgLdArea) {
        this.bldgLdArea = bldgLdArea;
    }

    public Long getBldgLdArea() {
        return bldgLdArea;
    }

    public void setUsageDetail(String usageDetail) {
        this.usageDetail = usageDetail;
    }

    public String getUsageDetail() {
        return usageDetail;
    }

    public List<String> getTagCodeList() {
        return tagCodeList;
    }

    public void setTagCodeList(List<String> tagCodeList) {
        this.tagCodeList = tagCodeList;
    }

    public String getTagCodes() {
        return tagCodes;
    }

    public void setTagCodes(String tagCodes) {
        this.tagCodes = tagCodes;
    }

    public String getTagNames() {
        return tagNames;
    }

    public void setTagNames(String tagNames) {
        this.tagNames = tagNames;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaPath() {
        return areaPath;
    }

    public void setAreaPath(String areaPath) {
        this.areaPath = areaPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("bldgCode", getBldgCode()).append("zoningCode", getZoningCode())
            .append("zoningName", getZoningName()).append("floor", getFloor()).append("bldgLdArea", getBldgLdArea())
            .append("usageDetail", getUsageDetail()).append("tagCodes", getTagCodes()).append("tagNames", getTagNames())
            .toString();
    }
}
